Package org.silverpeas.components.kmelia.notification

## Class KmeliaDelayedVisibilityUserNotificationReminder

- java.lang.Object
- - org.silverpeas.components.kmelia.notification.KmeliaDelayedVisibilityUserNotificationReminder

- All Implemented Interfaces:
    `org.silverpeas.core.reminder.BackgroundReminderProcess`

      @Named("KmeliaDelayedVisibilityUserNotificationReminderProcess")
      @Singleton
      public class KmeliaDelayedVisibilityUserNotificationReminder
      extends Object
      implements org.silverpeas.core.reminder.BackgroundReminderProcess

  Implementation in charge of handling data about `PublicationDetail` entities provided by kmelia component instances.
  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.reminder.BackgroundReminderProcess

      `org.silverpeas.core.reminder.BackgroundReminderProcess.Constants`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.silverpeas.core.reminder.ReminderProcessName` | `KMELIA_DELAYED_VISIBILITY_USER_NOTIFICATION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaDelayedVisibilityUserNotificationReminder()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KmeliaDelayedVisibilityUserNotificationReminder` | `get()` |
    `org.silverpeas.core.reminder.ReminderProcessName` | `getName()` |
    `void` | `performWith​(org.silverpeas.core.reminder.Reminder reminder)` | Sends the user notification about a specified reminder.
    `boolean` | `setAbout​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)` | Initialize the reminder for the given publication if possible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KMELIA_DELAYED_VISIBILITY_USER_NOTIFICATION

          public static final org.silverpeas.core.reminder.ReminderProcessName KMELIA_DELAYED_VISIBILITY_USER_NOTIFICATION

  - ### Constructor Detail

    - #### KmeliaDelayedVisibilityUserNotificationReminder

          public KmeliaDelayedVisibilityUserNotificationReminder()

  - ### Method Detail

    - #### get

          public static KmeliaDelayedVisibilityUserNotificationReminder get()

    - #### getName

          public org.silverpeas.core.reminder.ReminderProcessName getName()

      Specified by:
        `getName` in interface `org.silverpeas.core.reminder.BackgroundReminderProcess`

    - #### performWith

          public void performWith​(org.silverpeas.core.reminder.Reminder reminder)

      Sends the user notification about a specified reminder.
      Specified by:
        `performWith` in interface `org.silverpeas.core.reminder.BackgroundReminderProcess`
      Parameters:
        `reminder` - a reminder.

    - #### setAbout

          public boolean setAbout​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)

      Initialize the reminder for the given publication if possible.
      Parameters:
        `pubDetail` - the publication for which the reminder is initialized.
      Returns:
        true if the reminder has been set successfully, false otherwise.